#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
  QSL\ShopByBrand\LifetimeHook\Rebuild:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ShopByBrand, type: rebuild, method: onRebuild}
  QSL\ShopByBrand\LifetimeHook\Upgrade\UpgradeTo550build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ShopByBrand, type: upgrade, method: onUpgrade, version: 5.5.0.0}
  QSL\ShopByBrand\LifetimeHook\Upgrade\UpgradeTo550build6:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ShopByBrand, type: upgrade, method: onUpgrade, version: 5.5.0.6}
  QSL\ShopByBrand\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ShopByBrand, type: upgrade, method: onUpgrade, version: 5.5.1.0}
  QSL\ShopByBrand\LifetimeHook\Upgrade\UpgradeTo551build2:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ShopByBrand, type: upgrade, method: onUpgrade, version: 5.5.1.2}
  QSL\ShopByBrand\LifetimeHook\Upgrade\UpgradeTo551build3:
    tags:
      - {name: xcart.lifetime-hook, moduleId: QSL-ShopByBrand, type: upgrade, method: onUpgrade, version: 5.5.1.3}
